package com.xzzn.ems.domain.vo;

import java.math.BigDecimal;

/**
 * 单站监控-首页-点位重点数据展示
 */
public class PointDataResponse{
    /** 数据日期 */
    private String statisDate;
    /** 电网功率-total_active_power(LOAD） */
    private BigDecimal gridPower;
    /** 负载功率  */
    private BigDecimal loadPower;
    /** 储能功率-total_active_power(METE) */
    private BigDecimal storagePower;
    /** 光伏功率-total_active_power(METEGT) */
    private BigDecimal pvPower;
    /** SOC */
    private BigDecimal avgSoc;
    /** SOH */
    private BigDecimal avgSoh;
    /** 电池平均温度 */
    private BigDecimal avgTemp;

    public PointDataResponse(String statisDate,
            BigDecimal pvPower, BigDecimal storagePower, BigDecimal loadPower, BigDecimal gridPower,
            BigDecimal avgSoh, BigDecimal avgSoc,BigDecimal avgTemp
                             ) {
        this.avgTemp = avgTemp;
        this.avgSoh = avgSoh;
        this.avgSoc = avgSoc;
        this.pvPower = pvPower;
        this.storagePower = storagePower;
        this.loadPower = loadPower;
        this.gridPower = gridPower;
        this.statisDate = statisDate;
    }

    public BigDecimal getAvgTemp() {
        return avgTemp;
    }

    public void setAvgTemp(BigDecimal avgTemp) {
        this.avgTemp = avgTemp;
    }

    public BigDecimal getAvgSoc() {
        return avgSoc;
    }

    public void setAvgSoc(BigDecimal avgSoc) {
        this.avgSoc = avgSoc;
    }

    public BigDecimal getAvgSoh() {
        return avgSoh;
    }

    public void setAvgSoh(BigDecimal avgSoh) {
        this.avgSoh = avgSoh;
    }

    public String getStatisDate() {
        return statisDate;
    }

    public void setStatisDate(String statisDate) {
        this.statisDate = statisDate;
    }

    public BigDecimal getGridPower() {
        return gridPower;
    }

    public void setGridPower(BigDecimal gridPower) {
        this.gridPower = gridPower;
    }

    public BigDecimal getLoadPower() {
        return loadPower;
    }

    public void setLoadPower(BigDecimal loadPower) {
        this.loadPower = loadPower;
    }

    public BigDecimal getStoragePower() {
        return storagePower;
    }

    public void setStoragePower(BigDecimal storagePower) {
        this.storagePower = storagePower;
    }

    public BigDecimal getPvPower() {
        return pvPower;
    }

    public void setPvPower(BigDecimal pvPower) {
        this.pvPower = pvPower;
    }
}
